RegionAttributesType.ExpirationAttributesDetail (Apache Geode 1.15.4)

org.apache.geode.cache.configuration

## Class RegionAttributesType.ExpirationAttributesDetail

- java.lang.Object
- - org.apache.geode.cache.configuration.RegionAttributesType.ExpirationAttributesDetail

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    RegionAttributesType

      @Experimental
      public static class RegionAttributesType.ExpirationAttributesDetail
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `action`
    `protected DeclarableType` | `customExpiry`
    `protected String` | `timeout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpirationAttributesDetail()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAction()` Gets the value of the action property.
    `DeclarableType` | `getCustomExpiry()` Gets the value of the customExpiry property.
    `String` | `getTimeout()` Gets the value of the timeout property.
    `void` | `setAction(String value)` Sets the value of the action property.
    `void` | `setCustomExpiry(DeclarableType value)` Sets the value of the customExpiry property.
    `void` | `setTimeout(String value)` Sets the value of the timeout property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### customExpiry

          protected DeclarableType customExpiry

    - #### action

          protected String action

    - #### timeout

          protected String timeout

  - ### Constructor Detail

    - #### ExpirationAttributesDetail

          public ExpirationAttributesDetail()

  - ### Method Detail

    - #### getCustomExpiry

          public DeclarableType getCustomExpiry()

      Gets the value of the customExpiry property. possible object is `DeclarableType`
      Returns:
        the value of the customExpiry property

    - #### setCustomExpiry

          public void setCustomExpiry(DeclarableType value)

      Sets the value of the customExpiry property. allowed object is `DeclarableType`
      Parameters:
        `value` - the value of the customExpiry property

    - #### getAction

          public String getAction()

      Gets the value of the action property. possible object is `String`
      Returns:
        the value of the action property

    - #### setAction

          public void setAction(String value)

      Sets the value of the action property. allowed object is `String`
      Parameters:
        `value` - the value of the action property

    - #### getTimeout

          public String getTimeout()

      Gets the value of the timeout property. possible object is `String`
      Returns:
        the value of the timeout property

    - #### setTimeout

          public void setTimeout(String value)

      Sets the value of the timeout property. allowed object is `String`
      Parameters:
        `value` - the value of the timeout property